=== debian/changelog ===
nodejs (10.15.0~dfsg-10) unstable; urgency=medium

  * M-A: same on libnode-dev, nodejs-dev
  * Drop nodejs-dev package.
    Addons should instead:
    + Build-Depends libnode-dev, node-gyp
    + remove dh --with nodejs argument in debian/rules
    + use debhelper >= 10 because it strips and shlibs *.node files

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 13:51:37 +0100

nodejs (10.15.0~dfsg-9) unstable; urgency=medium

  * M-A: foreign on nodejs-doc
  * libnode-dev depends libuv1-dev (Closes: #905415)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 21 Jan 2019 08:33:36 +0100

nodejs (10.15.0~dfsg-8) unstable; urgency=medium

  * Suggests npm - because nodejs must not be blocked by it.
    Closes: #918388.
  * Patch to silence buffer deprecations. Closes: #918456.
    This patch is meant to ease migration to testing, and to be
    removed as soon as possible.
    It avoids printing to stderr deprecation warning about
    calling Buffer as a constructor without the new operator.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 06 Jan 2019 11:18:34 +0100

nodejs (10.15.0~dfsg-7) unstable; urgency=medium

  * Add missing shlibs, Closes: #917961.
  * Nodejs 10 is here, Close #914965.
  * libnode-dev: install openssl.cnf in /usr/include/nodejs
  * Recommends npm, Closes: #918388.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 05 Jan 2019 19:48:20 +0100

nodejs (10.15.0~dfsg-6) unstable; urgency=medium

  * nodejs: strict dependency on libnode64

 -- Jérémy Lal <kapouer@melix.org>  Tue, 01 Jan 2019 19:03:27 +0100

nodejs (10.15.0~dfsg-5) experimental; urgency=medium

  * mips(el): -latomic
  * Remove split-dwarf for any arch, only for mips
  * Forgot to export LDFLAGS

 -- Jérémy Lal <kapouer@melix.org>  Sat, 29 Dec 2018 17:16:30 +0100

nodejs (10.15.0~dfsg-4) experimental; urgency=medium

  * CPPFLAGS, CFLAGS -gsplit-dwarf for any arch
    Why would this be reserved to mips anyway.
  * Standards-Version 4.3.0

 -- Jérémy Lal <kapouer@melix.org>  Fri, 28 Dec 2018 11:19:02 +0100

nodejs (10.15.0~dfsg-3) experimental; urgency=medium

  * Add CPPFLAGS += -gsplit-dwarf as well

 -- Jérémy Lal <kapouer@melix.org>  Fri, 28 Dec 2018 10:04:23 +0100

nodejs (10.15.0~dfsg-2) experimental; urgency=medium

  * Add -gsplit-dwarf on mips to work around #829139

 -- Jérémy Lal <kapouer@melix.org>  Fri, 28 Dec 2018 02:38:02 +0100

nodejs (10.15.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.15.0~dfsg
  * copyright:
    + add license for src/large_pages/*
    + remove unused paragraph
  * Build using bundled http-parser (unreleased changes)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 27 Dec 2018 13:30:26 +0100

nodejs (10.14.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.14.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Wed, 28 Nov 2018 18:59:19 +0100

nodejs (10.13.0~dfsg-3) experimental; urgency=medium

  * Update uv headers path

 -- Jérémy Lal <kapouer@melix.org>  Thu, 15 Nov 2018 10:50:30 +0100

nodejs (10.13.0~dfsg-2) experimental; urgency=medium

  * Upstream patches for openssl 1.1.1 support
  * Build using shared openssl and depend on it again
  * Test suite assumes embedded openssl.cnf

 -- Jérémy Lal <kapouer@melix.org>  Thu, 01 Nov 2018 21:48:45 +0100

nodejs (10.13.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.13.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Oct 2018 10:26:02 +0100

nodejs (10.12.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.12.0~dfsg
  * openssl: use bundled copy because node is not compatible
    with openssl 1.1.1 right now (and there is no upstream fix).
    On the plus side:
    + this avoids ABI breakage for C++ addons (Closes: #904274)
    + upstream have security support for openssl vulns
    On the down side, it's a policy 4.13 violation.
  * copyright:
    + no longer exclude marked since it is removed
    + drop paragraph for pthread-barrier.h
  * Multiarch and DFHS:
    + patch adding --node-relative-path configuration variable
    + "/usr/lib/<$DEB_HOST_MULTIARCH>/nodejs" for c++ addons
    + "/usr/share/nodejs" for pure javascript modules
    + "/usr/lib/nodejs" for smooth migration of current modules
    + Expose those configuration variables in
      process.config.variables.node_relative_path
      process.config.variables.arch_triplet
    + In particular, if prefix is /usr/local all paths move there.
    + Fix test expecting lib/node, should be lib/nodejs.
    (Closes: #901474)
  * Build using shared libuv1 again (Closes: #905415)
  * Standards-Version 4.2.1
  * Add support for mips64r6el arch (Closes: #905886)
  * Drop libnodeXX-dev in favor of libnode-dev (Closes: #901297)
  * Patch tools/doc to restore old dependencies on marked,
    while waiting for remarked/rehyped modules to be available.
  * sequential/test-http2-session-timeout is a flaky test
  * Add lintian override for test/fixtures/assert-long-line.js,
    false source-is-missing positive.
  * Build using LANG=C
  * Stop excluding tools/gyp because upstream patches it
  * Tighten dependency on nghttp2 >= 1.34.0

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Oct 2018 11:24:28 +0200

nodejs (10.4.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.4.0~dfsg
  * libnodeXX-dev Breaks+Replaces nodejs-dev << 10 (Closes: #898024)
  * Standards-Version 4.1.4
  * Copyright:
		+ comment the unexpected change in this BSD-3-clause
    + remove duplicate paragraph
    + remove files
    + add antlr4 with a BSD-3-clause license

 -- Jérémy Lal <kapouer@melix.org>  Mon, 11 Jun 2018 00:12:34 +0200

nodejs (10.3.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.3.0~dfsg
  * Skip performance test
  * Symlink js-yaml to the expected dir for doc build

 -- Jérémy Lal <kapouer@melix.org>  Thu, 31 May 2018 00:38:30 +0200

nodejs (10.1.0~dfsg-1) experimental; urgency=medium

  * New upstream version 10.1.0~dfsg
  * watch file: back to dfsg
  * Drop patches applied upstream

