## nodejs 10.15.1~dfsg

=== debian/changelog ===
nodejs (10.15.1~dfsg-2) unstable; urgency=medium

  * Fix Build-Deps and add libssl-dev to libnode-dev.
    Closes: #921074.
  * Refactor deps in debian/rules
  * Declare Breaks properly in rules/control.in.in

 -- Jérémy Lal <kapouer@melix.org>  Fri, 01 Feb 2019 22:18:18 +0100

nodejs (10.15.1~dfsg-1) experimental; urgency=medium

  * New upstream version 10.15.1~dfsg
  * Backport upstream-approved Node 11 openssl 1.1.1a support
    (except a test that was weird to backport).

  [ Mattia Rizzolo ]
  * Add Breaks:node-modern-syslog (<< 1.1.4-2) to libnode64.
    node-modern-syslog before 1.1.4-2 depended on the nodejs
    ABI, but didn't have an appropriate dependency.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 31 Jan 2019 09:54:11 +0100
