=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
  dh-buildinfo,
  pkg-config,
  bash-completion,
- curl,
- procps,
  libkvm-dev [kfreebsd-any],
  gyp (>= 0.1~svn1773),
  openssl (>= 1.1.1~),
@@ -18,6 +16,8 @@
  libicu-dev,
  libc-ares-dev (>= 1.14~),
  libnghttp2-dev (>= 1.34.0~),
+ curl,
+ procps,
  node-acorn,
  ca-certificates,
  python,
@@ -83,6 +83,7 @@
  ${misc:Depends}
 Provides: ${cdbs:Provides}
 Recommends: ${cdbs:Recommends}
+Breaks: ${cdbs:Breaks}
 Replaces: nodejs-legacy
 Conflicts: nodejs-legacy
 Description: evented I/O for V8 javascript - runtime library
