=== debian/rules ===
--- 
+++ 
@@ -35,28 +35,30 @@
 
 # Needed by upstream build
 #  * recent gyp needed to build using flock
-bdeps = pkg-config, bash-completion, curl, procps, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1773)
+bdeps = pkg-config, bash-completion, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1773)
 bdeps +=, openssl (>= 1.1.1~)
 bdeps +=, zlib1g-dev
 bdeps +=, libicu-dev
 bdeps +=, libc-ares-dev (>= 1.14~)
 bdeps +=, libnghttp2-dev (>= 1.34.0~)
 # bdeps +=, libhttp-parser-dev (>= 2.8~)
+
+# Needed by dev
+devdeps = libssl-dev (>= 1.1.1~)
+devdeps +=, libuv1-dev (>= 1.20.0~)
+
+# Needed for tests
+bdeps +=, curl, procps,
 bdeps +=, node-acorn
-# Needed for tests
 bdeps +=, ca-certificates
-
-# Needed by upstream build and binary development package
-deps = python
-deps +=, libssl-dev (>= 1.1.1~)
-deps +=, libuv1-dev (>= 1.20.0~)
-
-CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
-CDBS_DEPENDS_nodejs-dev = $(deps)
-CDBS_DEPENDS_libnode-dev = libuv1-dev
+bdeps +=, python
+
+CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps), $(devdeps)
+CDBS_DEPENDS_libnode-dev = $(devdeps)
 
 CDBS_RECOMMENDS_nodejs = ca-certificates
 CDBS_BREAKS_libnode-dev = nodejs-dev (<< 10.0.0~dfsg1-3), libnode64-dev
+CDBS_BREAKS_libnode$(ABI) = node-modern-syslog (<< 1.1.4-2)
 CDBS_REPLACES_libnode-dev = nodejs-dev (<< 10.0.0~dfsg1-3), libnode64-dev
 LANG=C
 export LANG
