=== debian/changelog ===
nodejs (10.15.2~dfsg-2+rpi1) buster-staging; urgency=medium

  [changes brought forward from 10.15.0~dfsg-10+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 31 Jan 2019 14:17:56 +0000]
  * Link with libatomic on Raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 18 Apr 2019 11:32:15 +0000

nodejs (10.15.2~dfsg-2) unstable; urgency=medium

  * Avoid two tests to cause a FTBFS (Closes #919588)
    + test-fs-error-messages fails with eatmydata
    + test-net-listen-after-destroying-stdin is flaky
  * gbp for debian/buster branch

 -- Jérémy Lal <kapouer@melix.org>  Mon, 08 Apr 2019 15:06:40 +0200

nodejs (10.15.2~dfsg-1) unstable; urgency=high

  * New upstream version 10.15.2~dfsg
    Slowloris HTTP Denial of Service with keep-alive
    (CVE-2019-5737)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 28 Feb 2019 15:52:30 +0100

nodejs (10.15.1~dfsg-5) unstable; urgency=medium

  * Install only headers
  * /usr/include/v8 should contain the headers directly

 -- Jérémy Lal <kapouer@melix.org>  Sat, 09 Feb 2019 11:55:56 +0100

nodejs (10.15.1~dfsg-4) experimental; urgency=medium

  * Add libv8-dev symlinks:
    + libv8_libbase.so
    + libv8_libplatform.so
    + libv8_libsampler.so

 -- Jérémy Lal <kapouer@melix.org>  Fri, 08 Feb 2019 16:13:57 +0100

nodejs (10.15.1~dfsg-3) experimental; urgency=medium

  * Provides libv8-dev (Closes: #920329)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 08 Feb 2019 14:25:03 +0100
