=== debian/control ===
--- 
+++ 
@@ -40,6 +40,8 @@
 Suggests: ${cdbs:Suggests}
 Breaks: ${cdbs:Breaks}
 Replaces: ${cdbs:Replaces}
+Conflicts: ${cdbs:Conflicts}
+Provides: ${cdbs:Provides}
 Description: evented I/O for V8 javascript (development files)
  Node.js is a platform built on Chrome's JavaScript runtime for easily
  building fast, scalable network applications. Node.js uses an
