=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,9 @@
 CDBS_RECOMMENDS_nodejs = ca-certificates
 CDBS_BREAKS_libnode-dev = nodejs-dev (<< 10.0.0~dfsg1-3), libnode64-dev
 CDBS_BREAKS_libnode$(ABI) = node-modern-syslog (<< 1.1.4-2)
-CDBS_REPLACES_libnode-dev = nodejs-dev (<< 10.0.0~dfsg1-3), libnode64-dev
+CDBS_REPLACES_libnode-dev = nodejs-dev (<< 10.0.0~dfsg1-3), libnode64-dev, libv8-dev
+CDBS_PROVIDES_libnode-dev = libv8-dev
+CDBS_CONFLICTS_libnode-dev = libv8-dev (<= 3.14.5.8-11)
 LANG=C
 export LANG
 DEB_CONFIGURE_NORMAL_ARGS =
@@ -166,6 +168,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --with-arm-float-abi=hard
 ifeq ($(shell dpkg-vendor --derives-from raspbian && echo true),true)
 # enable vfp, disable armv7
+LDFLAGS += -latomic
 DEB_CONFIGURE_EXTRA_FLAGS += --with-arm-fpu=vfp
 else
 # enable armv7 vfpv3
@@ -221,6 +224,7 @@
 	rm -rf test/addons/*/build
 	rm -f config.gypi
 	rm -f config.mk
+	rm -f config.status
 	rm -f test/fixtures/hello.txt
 	rm -rf $(NODE_TEST_DIR)
 	rm -f node_modules
@@ -238,7 +242,3 @@
 pre-build::
 	ln -sTf /usr/lib/nodejs node_modules
 	mkdir -p $(NODE_TEST_DIR)
-	mkdir -p deps/acorn/dist/
-	cp -rf /usr/lib/nodejs/acorn/dist/* deps/acorn/dist/
-
-common-install-arch::
