=== debian/changelog ===
nodejs (10.19.0~dfsg-3ubuntu1) focal; urgency=medium

  * Merge from Debian (LP: #1863463). Remaining changes:
    - debian/control, debian/rules:
      + change node-acorn* build dependencies to node-debbundle-acorn
      + change python build dependency to python2
    - debian/tests/control: change python test dependency to python2
    - debian/patches/python2.patch: explicitly invoke python2 in tests
    - debian/patches/test-lowerseclevel.patch: lower SECLEVEL in the
      openssl.cnf used for testing
    - debian/patches/0001-test-move-foafssl-certs-to-fixtures-keys.patch:
      upstream patch to move FOAF+SSL certs to fixtures/keys/

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 31 Mar 2020 16:26:11 +0200

nodejs (10.19.0~dfsg-3) unstable; urgency=medium

  * Upstream fix (backward-compatible) for ssl 1.1.1e

 -- Jérémy Lal <kapouer@melix.org>  Fri, 20 Mar 2020 12:54:37 +0100

nodejs (10.19.0~dfsg-2) unstable; urgency=medium

  * Install acorn, acorn-walk deps
  * Patch to support acorn 6

 -- Jérémy Lal <kapouer@melix.org>  Thu, 19 Mar 2020 15:05:33 +0100

nodejs (10.19.0~dfsg-1) unstable; urgency=medium

  * New upstream version 10.19.0~dfsg
  * Use shared libhttp-parser again
  * b-d acorn and acorn-walk and fix file install

 -- Jérémy Lal <kapouer@melix.org>  Sat, 14 Mar 2020 20:50:35 +0100

nodejs (10.17.0~dfsg-2ubuntu6) focal; urgency=medium

  * Cherrypick updated foafssl test case keys from master, to unbreak
    tests with new openssl.
  * Update vendorized acorn build for 6.*.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 06 Mar 2020 00:57:55 +0000

nodejs (10.17.0~dfsg-2ubuntu5) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:34:35 +0100

nodejs (10.17.0~dfsg-2ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 12:39:22 +0100

nodejs (10.17.0~dfsg-2ubuntu3) focal; urgency=medium

  * Use python2 in one more place.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 15 Jan 2020 18:37:10 +0000

nodejs (10.17.0~dfsg-2ubuntu2) focal; urgency=medium

  * Use python2 in more places.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Jan 2020 17:44:30 +0000

nodejs (10.17.0~dfsg-2ubuntu1) focal; urgency=medium

  * Lower SECLEVEL in the openssl.cnf used for testing, as in Ubuntu
    SECLEVEL is compiled into openssl, rather than set/unset from system
    openssl.cnf. LP: #1858971
  * Build-depend on python2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Jan 2020 13:11:24 +0000

nodejs (10.17.0~dfsg-2) unstable; urgency=medium

  * Link to atomic using a patch, LDFLAGS is not enough
    This is at least needed on mipsel.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Oct 2019 11:09:09 +0200

nodejs (10.17.0~dfsg-1) unstable; urgency=medium

  * New upstream version 10.17.0~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Wed, 23 Oct 2019 17:53:03 +0200

nodejs (10.16.3~dfsg-1) unstable; urgency=medium

  * New upstream version 10.16.3~dfsg (Closes: #934885)
  * Avoid two tests to cause a FTBFS (Closes: #919588)
  * Delete applied ssl 1.1.1 compatibility patches
  * Never run tests in parallel to avoid memory exhaustion
  * README: match current modules search paths (Closes: #939001)
  * Fix make-doc patch, simplify make using NODE_PATH
  * B-D pkg-js-tools
  * Tighten dep on libuv1 version

 -- Jérémy Lal <kapouer@melix.org>  Wed, 11 Sep 2019 10:39:30 +0200
