=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nodejs
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
@@ -16,13 +17,15 @@
  libicu-dev,
  libc-ares-dev (>= 1.14~),
  libnghttp2-dev (>= 1.34.0~),
+ pkg-js-tools (>= 0.8.2~),
+ libhttp-parser-dev (>= 2.9.2~),
  curl,
  procps,
- node-acorn,
+ node-debbundle-acorn,
  ca-certificates,
- python,
+ python2,
  libssl-dev (>= 1.1.1~),
- libuv1-dev (>= 1.20.0~)
+ libuv1-dev (>= 1.28.0~)
 Build-Depends-Indep: node-js-yaml,
  node-marked
 Standards-Version: 4.3.0
