## nodejs 10.19.0~dfsg1

=== debian/changelog ===
nodejs (10.19.0~dfsg1-1) buster-security; urgency=medium

  * New upstream version 10.19.0~dfsg1
  * Delete applied ssl 1.1.1 compatibility patches
  * Revert upstream changes to stay compatible with stable libuv1:
    + uv_os_uname is not available
    + test-dgram-address uv returns EINVAL, not EBADF
  * Never run tests in parallel to avoid memory exhaustion
  * Use embedded nghttp2 as upstream rely that much on having
    an updated version of it.
  * Avoid two tests to cause a FTBFS (Closes #919588)
  * Patch for compatibility with libuv1 from stable
  * uv in stable expects EINVAL, not EBADF
  * Link to atomic using a patch, LDFLAGS is not enough
  * Exclude brotli from deps, use system-installed one
    + B-D brotli
    + use upstream patch

 -- Jérémy Lal <kapouer@melix.org>  Mon, 20 Apr 2020 09:44:09 +0200
